<script lang="ts">
  export let href: string | null = null;
  let hovering = false;
</script>

<a
  {href}
  on:mouseenter={() => (hovering = true)}
  on:mouseleave={() => (hovering = false)}
>
  <slot {hovering} />
</a>

<style>
  a {
    display: inline-block;
    aspect-ratio: 1;
    border-radius: 50%;
    background-color: hsla(0, 0%, 50%, 0.2);
    outline: 0;
    padding: 10%;
    border: 0;
    transition: background-color 0.1s;
  }
  a:hover {
    background-color: hsla(0, 0%, 100%, 0.2);
  }
</style>
